onEvent('recipes', event => {

    const id_prefix = 'pedestals:pedestal_sawing'

    const recipes = [
        {
            output: 'occultism:otherstone_frame',
            input: 'occultism:otherstone',
            id: 'otherstone_frame'
        },
        {
            output: 'occultism:otherstone_tablet',
            input: 'occultism:otherstone_slab',
            id: 'otherstone_tablet'
        }
    ]

    recipes.forEach((recipe) => {
        event.custom({
            type: 'pedestals:pedestal_sawing_advanced',
            ingredient: Item.of(recipe.input).toResultJson(),
            result: Item.of(recipe.output).toResultJson()
        }).id(`${id_prefix}/${recipe.id}`);
    })

})